Junior s2 Camila 2 jan, 2013 @ 8:18pm
Steam on Debian
Hello. Has anyone had succes on Stable Debian with NVIDIA?

If so, could you describe the steps you did?
I tried but it has driving me nuts, old packages that could not be updated without a lot of help from google (main holding issue), permissions problems and etc.
Visar 1-15 av 16 kommentarer
< >
RobbieThe1st [Linux] 2 jan, 2013 @ 8:25pm 
There's your problem - Debian Stable. Upgrade to Unstable if you want it to work easily.
Junior s2 Camila 2 jan, 2013 @ 8:32pm 
That'd be the solution, but I want to install on the stable version. I know there are a significnat percentage of people that uses stable too. And BTW, I don't think steam will say "Debian unstable only", they'll need to make the client usable on this version.

So Robbie, do you know of anyone that had succes and sicribed step-by-step?
Sglwy 2 jan, 2013 @ 10:25pm 
A lot of people criticize Debian for its stable branch which delivers old versions of packages. If you are really good using Debian you can install Steam and needed up-to-date packages but if you are stuck I would recommended you to wait 6-8 weeks for Wheezy to be released. Squeeze will be considered the stable branch only until February, afterwards you'll be running old-stable.
niniendowarrior 2 jan, 2013 @ 11:11pm 
If you're really wanting to install Steam and cannot wait for stable to get the newer versions, grab the sources off unstable and then go to backport heaven (or hell!). It's a very tedious process and will take you weeks to get everything up and running (factoring all the bug fixing you'll have to do to get the packages ready).

From that point on however, you'll be self-maintaining your Debian install, which could be an even bigger headache if you're not up to it.
Linux-storma 3 jan, 2013 @ 2:24am 
I moved up to testing for steam as it's not far off. Grab Kano's script and all should be sweet from there on in.

IIRC I did have a look at it on stable but testing worked out to be the better option.
mruuh 3 jan, 2013 @ 5:20am 
I made it work by simply dumping all required 32-bit libraries (some from unstable, some even from experimental) to Steam's ubuntu12_32/ subdir.

EDIT: To clarify, I made it work on Debian Wheezy ("Testing" as of writing this).
Senast ändrad av mruuh; 30 jan, 2013 @ 11:23am
Junior s2 Camila 3 jan, 2013 @ 11:49am 
Those libraries, is it easy to get them? Are they frrom official repositories?
Kirby 3 jan, 2013 @ 2:28pm 
That really defeats the point though, as packages from unstable and experimental can't be guaranteed to be stable, and it'll probably be a lot more hassle than it's worth.

Debian Wheezy is very close to becoming the new stable and people have got it working on that (though I haven't), so I'd just wait a month or two, or 'upgrade' to testing.
Senast ändrad av Kirby; 3 jan, 2013 @ 2:29pm
Junior s2 Camila 3 jan, 2013 @ 2:37pm 
I sure will, after Steam is confirmed running good there. Meanwhile I'll stick to Ubuntu, and maybe openSUSE (got it working, very easy just a few clicks for both drivers and steam).
RobbieThe1st [Linux] 5 jan, 2013 @ 5:39pm 
Personally, I don't see the issues people have with 'stable', 'unstable', 'experimental', etc.
If you're running Ubuntu, you're basically running something somewhere between experimental and unstable anyway, at least last I checked.

Thing is, A, there are bugs in every bit of software, and B, the difference between the more 'stable' repos is how long a particular build/version has been out there and running. Just because you're running an 'experimental' system doesn't mean your system will crash on a regular basis, nor does running a 'stable' system mean that your system /won't/. It just means that those packages have been tested by people longer.

As far as I can tell, 'unstable' is plenty stable in my situation - I haven't had a software-caused crash in months. Experimental depends on what packages, and when - seriously breaking issues get uploaded there all the time, so it's luck of the draw in most cases(exceptions are things like Nvidia drivers, which have been tested by Nvidia already by the time they get into Experimental).

Also, what software you are using matters - Firefox has bugs, whether you're running a version from 'stable' or one from 'experimental' - the only question is if those bugs affect you in that particular version.

------------

It just seems like people look at the 'unstable' title and assume that their system is going to be failing consistantly(it's just not guaranteed to be stable) yet run Steam, which would probably not meet the criteria for 'unstable' yet.


Just my 2c.
Senast ändrad av RobbieThe1st [Linux]; 5 jan, 2013 @ 5:40pm
HumWizz 29 jan, 2013 @ 11:15pm 
Things don't break that often in Unstable, at the most it's once a year and I never ended up with an unusable system. Programs can start to crash if Unstable is in progress of upgrading to a newer Libc6 version or something like that.

So a couple of weeks/months after the release of wheezy is when Unstable might be a bit more turbulent.
In contrast I managed to totallly hose my Debian Testing system by doing an 'apt-get --purge remove' on the wrong libc6 sub-package. Don't think they fully tested just that maneuver as it left bash unable to start up any external programs. Oh, well I guess it was time to try out the latest Debian-installer. :)
mruuh 30 jan, 2013 @ 12:12am 
To be fair, that was not caused by being on Debian Testing, but by admin (your) mistake. It could have happened on Stable as well. :)
YaddaBlah 30 jan, 2013 @ 12:29am 
Hi, there's a thread on getting Steam to work on Debian Sid. I tried their script and I get this error when opening the steam client.

Setting up Steam content in /home/family/.local/share/Steam
tar (child): /steam/bootstraplinux_ubuntu12_32.tar.xz: Cannot open: No such file or directory
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error is not recoverable: exiting now
Failed to extract /steam/bootstraplinux_ubuntu12_32.tar.xz, aborting installation.

I went into the /opt/steam/usr/lib/steam folder and manually extracted the tar.xz but then I got this error when opening the script inside.

/opt/steam/usr/lib/steam/ubuntu12_32/steam: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /opt/steam/usr/lib/steam/ubuntu12_32/steam)

Any help would appreciated.
Senast ändrad av YaddaBlah; 30 jan, 2013 @ 12:31am
Hirage 30 jan, 2013 @ 12:41am 
Ursprungligen skrivet av HumWizz:
Things don't break that often in Unstable, at the most it's once a year and I never ended up with an unusable system. Programs can start to crash if Unstable is in progress of upgrading to a newer Libc6 version or something like that.

So a couple of weeks/months after the release of wheezy is when Unstable might be a bit more turbulent.
In contrast I managed to totallly hose my Debian Testing system by doing an 'apt-get --purge remove' on the wrong libc6 sub-package. Don't think they fully tested just that maneuver as it left bash unable to start up any external programs. Oh, well I guess it was time to try out the latest Debian-installer. :)
Recently I experimented with Debian Testing and had a BIG warning come up when I tried to mess with base libs. Wanted me to write a whole sentence to continue.
gradinaruvasile 30 jan, 2013 @ 1:08am 
I use testing on 2 computers (laptop and desktop) that i use for work. I encountered no inherent issues. Now both became kinda uniques (started from the same install) as i instaled stuff from unstable and experimental.
The only issues i had was when some underlying mechanism was changed in testing (udisks/upower replaced HAl or something) and at first the maintainers forgot to add some dependencies here and there. Installing one package solved al my issues though.

Visar 1-15 av 16 kommentarer
< >
Per sida: 15 30 50
Datum skrivet: 2 jan, 2013 @ 8:18pm
Inlägg: 16